{% extends "symposion/schedule/base.html" %}

{% load i18n %}

{% block head_title %}Conference Schedule Edit{% endblock %}
{% block page_title %}Conference Schedule Edit{% endblock %}

{% block content %}
  <div class="row">
    <div class="col-12">
      <h2>Schedule Admin</h2>
      <form class="form-horizontal" id="schedule-builder" action="." method="post" enctype="multipart/form-data">
        {% csrf_token %}
        {{ form.as_p }}
        <input type="submit" name="submit" value="Submit" />
        <input type="submit" id="delete" name="delete" value="Delete Schedule" />
      </form>
    </div>
  </div>

  {% for timetable in days %}
  <div class="row">
    <div class="col-12">
      <h2 class="my-4">
        {{ timetable.day.date|date:"l" }}, {{ timetable.day.date }}
      </h2>
      <p class="timezone-info small">Conference times are in {{ settings.CONF_START|date:'T' }} (UTC{{ settings.CONF_START|date:'O' }}). <span class="d-print-none">Current talks will be highlighted.</span></p>
      <div class="table-responsive d-none d-md-block">
        {% include "symposion/schedule/_grid.html" with edit_schedule=True %}
      </div>
      <div class="mobile-schedule d-sm-block d-md-none">
        {% include "symposion/schedule/_mobile.html" with edit_schedule=True %}
      </div>
    </div>
  </div>
  {% endfor %}

  <div class="modal fade" id="slotEditModal"></div>
{% endblock %}

